Subject: FVWM: fvwm 2.0.45 and Xcoral

From: Yehuda Bamnolker <[email-masked]>
Date: Fri, 30 May 1997 13:14:24 -0700

Hope I'm sending it to the right address this time.
Sorry about the noise,
Yehuda.

----- Begin Included Message -----

I'm re-sending since my mail had some problems last night and I couldn't
find the previous mail I sent in the archive.

My apologies if you got it twice.

Thanks,
Yehuda.

P.S: I took a look at fvwm/module.c where it crashed:

     void SendName(int module, unsigned long event_type,
          unsigned long data1,unsigned long data2,
          unsigned long data3, char *name)
    {
      int l;
      unsigned long *body;
      extern Time lastTimestamp;
 
      if(name == NULL)
       return;
 
     l=(strlen(name))/(sizeof(unsigned long))+HEADER_SIZE+4;
     
      The SendName function to check that name isn't NULL but looking at the
      stack trace from GDB it's 0xffffffff (name=0xffffffff <Address 0xffffffff
      out of bounds>) at module.c:509) and strlen crashed while walking over
      this corrupted pointer.

----- Begin Included Message -----

>From ybamnolk Thu May 29 15:25:19 1997
To: [email-masked]
Subject: fvwm 2.0.45 and Xcoral
Cc: ybamnolk
Status: RO

Hi.

I'm using Fvwm Version 2.0.45 for months now and I'm very happy. In fact
it's the best window manager I ever used.

I compiled a new version of xcoral for the first time (xcoral-3.1, got
it from ftp.x.org (contrib/editors)).

I compiled it on the same SUNOS 4.1.4 box I used to compile fvwm2 and
when I start xcoral, fvwm2 crashes :-(

I tried to run the same application with olwm (SUN's Open Look Window
Manager) and it worked with no problem.

Attached a stack trace from the core file.

Any ideas?

Thanks in advance,
Yehuda.

15:15 vanzant:> gdb fvwm2/bin/fvwm2 core
 
GDB is free software and you are welcome to distribute copies of it
 under certain conditions; type "show copying" to see the conditions.
There is absolutely no warranty for GDB; type "show warranty" for details.
GDB 4.14.1 (sparc-sun-sunos4.1.3), 
Copyright 1995 Free Software Foundation, Inc...
Core was generated by `fvwm2'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/openwin/lib/libX11.so.4.3...done.
Reading symbols from /usr/lib/libc.so.1.9.1...done.
Reading symbols from /usr/lib/libdl.so.1.0...done.
#0  0xef73935c in strlen ()
(gdb) where
#0  0xef73935c in strlen ()
#1  0x2db2c in SendName (module=0, event_type=2048, data1=16777432, 
    data2=7340310, data3=362624, 
    name=0xffffffff <Address 0xffffffff out of bounds>) at module.c:509
#2  0x2dc80 in BroadcastName (event_type=2048, data1=16777432, data2=7340310, 
    data3=362624, name=0xffffffff <Address 0xffffffff out of bounds>)
    at module.c:533
#3  0x3e7c in AddWindow (w=16777432) at add_window.c:674
#4  0x1bd08 in HandleMapRequestKeepRaised (KeepRaised=0) at events.c:667
#5  0x1bc58 in HandleMapRequest () at events.c:647
#6  0x1a6a0 in DispatchEvent () at events.c:156
#7  0x1a6fc in HandleEvents () at events.c:177
#8  0x20420 in main (argc=1, argv=0xeffff864) at fvwm.c:464
(gdb) 

----- End Included Message -----

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

----- End Included Message -----

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].